Glm {rms} | R Documentation

## rms Version of glm

### Description

This function saves `rms` attributes with the fit object so that `anova.rms`, `Predict`, etc. can be used just as with `ols` and other fits. No `validate` or `calibrate` methods exist for `Glm` though.

For the `print` method, format of output is controlled by the user previously running `options(prType="lang")` where `lang` is `"plain"` (the default), `"latex"`, or `"html"`.

### Usage

    Glm(formula, family = gaussian, data = list(), weights = NULL, subset =
    NULL, na.action = na.delete, start = NULL, offset = NULL, control =
    glm.control(...), model = TRUE, method = "glm.fit", x = FALSE, y = TRUE,
    contrasts = NULL, ...)

    ## S3 method for class 'Glm'
    print(x, digits=4, coefs=TRUE,
    title='General Linear Model', ...)

### Arguments

`formula,family,data,weights,subset,na.action,start,offset,control,model,method,x,y,contrasts` | see `glm`; for `print`, `x` is the result of `Glm`
`...` | ignored
`digits` | number of significant digits to print
`coefs` | specify `coefs=FALSE` to suppress printing the table of model coefficients, standard errors, etc. Specify `coefs=n` to print only the first `n` regression coefficients in the model.
`title` | a character string title to be passed to `prModFit`

### Value

a fit object like that produced by `glm` but with `rms` attributes and a `class` of `"rms"`, `"Glm"`, `"glm"`, and `"lm"`. The `g` element of the fit object is the g-index.

### See Also

`glm`,`rms`,`GiniMd`, `prModFit`,`residuals.glm`

### Examples

    ## Dobson (1990) Page 93: Randomized Controlled Trial :
    counts <- c(18,17,15,20,10,20,25,13,12)
    outcome <- gl(3,1,9)
    treatment <- gl(3,3)
    f <- glm(counts ~ outcome + treatment, family=poisson())
    f
    anova(f)
    summary(f)
    f <- Glm(counts ~ outcome + treatment, family=poisson())
    # could have had rcs( ) etc. if there were continuous predictors
    f
    anova(f)
    summary(f, outcome=c('1','2','3'), treatment=c('1','2','3'))

[Package rms version 5.1-1 Index]